#### Previous topic

scipy.io.FortranFile.close

#### Next topic

scipy.io.FortranFile.read_reals

# scipy.io.FortranFile.read_ints

`FortranFile.``read_ints`(dtype='i4')

  Reads a record of a given type from the file, defaulting to an integer type (INTEGER*4 in Fortran)

  Parameters:

  dtype : dtype, optional

  > Data type specifying the size and endiness of the data.

  Returns:

  data : ndarray

  > A one-dimensional array object.

  See also

  `read_reals`, `read_record`